
package eu.dnetlib.dhp.oa.graph.hostedbymap.model;

import java.io.Serializable;

public class EntityInfo implements Serializable {
	private String id;
	private String journalId;
	private String name;
	private Boolean openAccess;
	private String hostedById;
	private Integer oaStartDate;


	public Integer getOaStartDate() {
		return oaStartDate;
	}

	public void setOaStartDate(Integer oaStartDate) {
		this.oaStartDate = oaStartDate;
	}

	public static EntityInfo newInstance(String id, String journalId, String name) {
		return newInstance(id, journalId, name, false, -1);

	}

	public static EntityInfo newInstance(String id, String journalId, String name, Boolean openaccess, Integer oaStartDate) {
		EntityInfo pi = new EntityInfo();
		pi.id = id;
		pi.journalId = journalId;
		pi.name = name;
		pi.openAccess = openaccess;
		pi.hostedById = "";
		pi.oaStartDate = oaStartDate;
		return pi;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getJournalId() {
		return journalId;
	}

	public void setJournalId(String journalId) {
		this.journalId = journalId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean getOpenAccess() {
		return openAccess;
	}

	public void setOpenAccess(Boolean openAccess) {
		this.openAccess = openAccess;
	}

	public String getHostedById() {
		return hostedById;
	}

	public void setHostedById(String hostedById) {
		this.hostedById = hostedById;
	}
}
